doctype html
html
  head
    title #{title}
    link(rel='stylesheet', href='//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css', id='bootstrap-css')
    script(src='//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js')
    script(src='//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js')

    meta(name="viewport" content="width=device-width, initial-scale=1")
  body
    div.col-sm-12 #{err}
    div.container 
      div.row
        div.col-sm-4
          form(method='GET' action='/purchasePoints')
            div.form-group
              label(for='username') Enter points to purchase:
              input#points.form-control(type='input' name='points' placeholder='points')
            button.btn.btn-primary(type='submit') Login

        div.col-sm-12
          h2 Tansaction history
          table
            tr
              td Transaction type
              td Free points
              td Purchased points
              td Description
              td Date
            each val in trasactionHistory
              tr
                td= val.type
                td= val.free_points
                td= val.purchased_points
                td= val.description
                td= val.transaction_date